﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Ektron.Cms.Instrumentation;
using Ektron.Cms.Extensibility.Content;
using System.Diagnostics;

namespace Cms.Extensions.Templates
{
    public class BlogStrategyTemplate : BlogStrategy
    {
        public virtual void OnAfterAddBlogComment(Ektron.Cms.BlogComment comment, Ektron.Cms.Extensibility.CmsEventArgs args)
        {
            Log.WriteInfo(string.Format("BlogStrategyTemplate.OnAfterAddBlogComment: metaType ID {0}", comment));
        }


        public virtual void OnAfterAddBlogPost(Ektron.Cms.ContentData data, Ektron.Cms.Extensibility.CmsEventArgs args)
        {
            string message = data.Id.ToString();
            EventLog.WriteEntry("BlogStrategyTemplate.OnAfterAddBlogPost:", message, EventLogEntryType.Information);
        }


        public virtual void OnAfterPublishBlogPost(Ektron.Cms.ContentData data, Ektron.Cms.Extensibility.CmsEventArgs args)
        {
            Log.WriteInfo(string.Format("BlogStrategyTemplate.OnAfterPublishBlogPost: metaType ID {0}", data.Id));
        }


        public virtual void OnAfterUpdateBlogComment(Ektron.Cms.BlogComment data, Ektron.Cms.Extensibility.CmsEventArgs args)
        {
            Log.WriteInfo(string.Format("BlogStrategyTemplate.OnAfterUpdateBlogComment: metaType ID {0}", data.ID));
        }


        public virtual void OnAfterUpdateBlogPost(Ektron.Cms.ContentData data, Ektron.Cms.Extensibility.CmsEventArgs args)
        {
            Log.WriteInfo(string.Format("BlogStrategyTemplate.OnAfterUpdateBlogPost: metaType ID {0}", data.Id));
        }


        public virtual void OnBeforeAddBlogPost(Ektron.Cms.ContentData data, Ektron.Cms.Extensibility.CmsEventArgs args)
        {
            Log.WriteInfo(string.Format("BlogStrategyTemplate.OnBeforeAddBlogPost: metaType ID {0}", data.Id));
        }


        public virtual void OnBeforeUpdateBlogComment(Ektron.Cms.BlogComment data, Ektron.Cms.Extensibility.CmsEventArgs args)
        {
            Log.WriteInfo(string.Format("BlogStrategyTemplate.OnBeforeUpdateBlogComment: metaType ID {0}", data.ID));
        }



        public virtual void OnBeforeUpdateBlogPost(Ektron.Cms.ContentData data, Ektron.Cms.Extensibility.CmsEventArgs args)
        {
            Log.WriteInfo(string.Format("BlogStrategyTemplate.OnBeforeUpdateBlogPost: metaType ID {0}", data.Id));
        }


    }
}