﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Ektron.Cms;
using Ektron.Cms.Common;
using Ektron.Cms.Instrumentation;
using Ektron.Cms.Extensibility;
using Ektron.Cms.Extensibility.Content;


namespace Cms.Extensions.Templates
{
    public class ContentStrategyTemplate : ContentStrategy
    {

        public override void OnBeforeAddContent(ContentData contentData, CmsEventArgs eventArgs)
        {
            Log.WriteInfo(string.Format("ContentStrategyTemplate.OnBeforeAddContent: {0}", contentData.Title));
            contentData.Title += " modified";
        }

        public override void OnAfterAddContent(ContentData contentData, CmsEventArgs eventArgs) 
        {
            Log.WriteInfo(string.Format("ContentStrategyTemplate.OnAfterAddContent: {0}", contentData.Title));
        }

        public override void OnBeforeDeleteContent(long id, CmsEventArgs eventArgs) 
        {
            Log.WriteInfo(string.Format("ContentStrategyTemplate.OnBeforeDeleteContent: {0}", id));
        }

        public override void OnAfterDeleteContent(long id, CmsEventArgs eventArgs) 
        {
            Log.WriteInfo(string.Format("ContentStrategyTemplate.OnAfterDeleteContent: {0}", id));
        }

        public override void OnBeforePublishContent(ContentData contentData, CmsEventArgs eventArgs) 
        {
            Log.WriteInfo(string.Format("ContentStrategyTemplate.OnBeforePublishContent: {0}", contentData.Title));
        }

        public override void OnAfterPublishContent(ContentData contentData, CmsEventArgs eventArgs) 
        {
            Log.WriteInfo(string.Format("ContentStrategyTemplate.OnAfterPublishContent: {0}", contentData.Title));
        }

        public override void OnBeforeUpdateContent(ContentData contentData, CmsEventArgs eventArgs) 
        {
            Log.WriteInfo(string.Format("ContentStrategyTemplate.OnBeforeUpdateContent: {0}", contentData.Title));
        }

        public override void OnAfterUpdateContent(ContentData contentData, CmsEventArgs eventArgs) 
        {
            Log.WriteInfo(string.Format("ContentStrategyTemplate.OnAfterUpdateContent: {0}", contentData.Title));
        } 
    }
}
