﻿using Ektron.Cms.Instrumentation;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Ektron.Cms.Extensibility;


namespace Cms.Extensions.Templates
{
    public class LibraryStrategyTemplate : LibraryStrategy
    {
        public virtual void OnAfterAdd(Ektron.Cms.LibraryData contentData, Ektron.Cms.Extensibility.CmsEventArgs eventArgs)
        {
            Log.WriteInfo(string.Format("LibraryStrategyTemplate.OnAfterUpdateContent: {0}", contentData.Title));
        }

        public virtual void OnAfterDelete(long id, Ektron.Cms.Extensibility.CmsEventArgs eventArgs)
        {
            Log.WriteInfo(string.Format("LibraryStrategyTemplate.OnAfterDelete: {0}", id));
        }

        public virtual void OnAfterUpdate(long id, Ektron.Cms.Extensibility.CmsEventArgs eventArgs)
        {
            Log.WriteInfo(string.Format("LibraryStrategyTemplate.OnAfterUpdate: {0}", id));
        }

        public virtual void OnBeforeAdd(long id, Ektron.Cms.Extensibility.CmsEventArgs eventArgs)
        {
            Log.WriteInfo(string.Format("LibraryStrategyTemplate.OnBeforeAdd: {0}", id));
        }

        public virtual void OnBeforeDelete(long id, Ektron.Cms.Extensibility.CmsEventArgs eventArgs)
        {
            Log.WriteInfo(string.Format("LibraryStrategyTemplate.OnBeforeDelete: {0}", id));
        }

        public virtual void OnBeforeUpdate(Ektron.Cms.LibraryData contentData, Ektron.Cms.Extensibility.CmsEventArgs eventArgs)
        {
            Log.WriteInfo(string.Format("LibraryStrategyTemplate.OnBeforeUpdate: {0}", contentData.Title));
        }
       
    }
}






























